/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
          		  transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras   
          		  eliminarEspacios = false; // Cambiar a true, si la actividad es de matemáticas o requiere omitir los espacios en blanco de la validación
          		  //Total de inputs       
                  TotalInput = 8;
                  //Para filtrar se pueden usar las siguientes variables:
               /* 
              'int':     /[\d]/,
              'float':     /[\d\.]/,
              'money':    /[\d\.\s,]/,
              'num':      /[\d\-\.]/,
              'hex':      /[0-9a-f]/i,
              'email':    /[a-z0-9_\.\-@]/i,
              'alpha':    /[a-zA-Z_ ]/i,
              'alphaupper': /[A-Z_ ]/i,
              'alphanum': /[a-z0-9_]/i,
              'alphanumlower':/[a-z0-9_]/,
              'alphanumupper':/[a-z0-9_]/,	
              'alphaspace':    /[a-z ]/i,
              'alphanumspace': /[a-z0-9_ ]/i,
              'alphanumspacelower':/[a-z0-9_ ],
              'mathsym':'[+-=\/*]/,
              'alphaacent':'[a-zA-Z_áéíóúü ]',
              'alphanumacent':'[a-z0-9_.áéíóúü ]'
          		*/
          
                  	sym.setVariable("border", "2px double #ffffff");		// Modifica el borde del input
          			sym.setVariable("fondo", "rgba(255,255,255,0.40)");	// Modifica el color de fondo del input
          			sym.setVariable("colorini", "#666666");					// Editar el color de la letra 
          			sym.setVariable("colorok", "#666666");
          			sym.setVariable("fondook","rgba(169,194,88,0.80)");
          			sym.setVariable("colorbad", "#ffffff");
          			sym.setVariable("fondobad", "#f3716c");
          			sym.setVariable("fontsize", "26px");						// Editar el tamaño de fuente
          			sym.setVariable("fontFamily", "Cabin");					//	Editar el tipo de fuente
          			sym.setVariable("fontStyle", "normal");				
          			sym.setVariable("fontweight", "bold");
          			sym.setVariable("height", "auto");
          			sym.setVariable("border-radius", "5px");
          			sym.setVariable("alineacionTexto", "center");			// Editar la alineación del texto en el input
          
          			// Creación de las áreas de texto en la actividad
          			TotalTextArea = 2;			// Numero de áreas de texto
                   var color = sym.getVariable("colorini");
                   var border = sym.getVariable("border");
                   var tamano = sym.getVariable("fontsize");
                   var fontweight = sym.getVariable("fontweight");
                   var fondo = sym.getVariable("fondo");
                   var borderRadius= sym.getVariable("border-radius");
                   var textAlign= sym.getVariable("textAlign");         
          
                   // Agregar las áreas de texto dinámicamente
                   for (i=1 ; i<= TotalTextArea; i++){
                   sym.$("TextArea_"+i).css("background","rgba(255,255,255,0.0)");
                   	var nombreElemento = 'Elemento_'+i;
                   	nombreElemento = document.createElement("textarea");
                   	nombreElemento.id="textarea_"+i;
                   	var anchoTextArea = sym.$("TextArea_"+i).css("width");
                   	var altoTextArea = sym.$("TextArea_"+i).css("height");
                   	nombreElemento.style.width= anchoTextArea;	 
                   	nombreElemento.style.height= altoTextArea;
                   	nombreElemento.style.border= border;
                   	nombreElemento.style.color= color;
                   	nombreElemento.style.background= fondo;
                   	nombreElemento.style.fontSize= tamano;
                   	nombreElemento.style.fontWeight= fontweight;
                   	nombreElemento.style.textAlign= textAlign;
                   	nombreElemento.style.webkitBorderRadius=borderRadius;
                   	nombreElemento.style.mozBorderRadius=borderRadius;
                   	nombreElemento.style.borderRadius=borderRadius;
                   	nombreElemento.style.padding= "10px";
          				nombreElemento.style.resize= "none";
                   	sym.$("TextArea_"+i).append(nombreElemento);
                   }
          
          			//RESPUESTAS -- CAMBIAR VALORES
                  sym.setVariable("Respuesta_1", "159");
                  sym.setVariable("Respuesta_2", "x");
                  sym.setVariable("Respuesta_3", "15");
                  sym.setVariable("Respuesta_4", "2.385");
                  sym.setVariable("Respuesta_5", "29");
                  sym.setVariable("Respuesta_6", "x");
                  sym.setVariable("Respuesta_7", "7");
                  sym.setVariable("Respuesta_8", "203");
                  sym.setVariable("Respuesta_9", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_10", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_11", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_12", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_13", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_14", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_15", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_16", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_17", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_18", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_19", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_20", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_21", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_22", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_23", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_24", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_25", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_26", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_27", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_28", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_29", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_30", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_31", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_32", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_33", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_34", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_35", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_36", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_37", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_38", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_39", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_40", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_41", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_42", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_43", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_44", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_45", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_46", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_47", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_48", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_49", "REEMPLAZAR POR VALOR");
                  sym.setVariable("Respuesta_50", "REEMPLAZAR POR VALOR");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

})(jQuery, AdobeEdge, "EDGE-94063035");
 